module JamesBond
  class MissionBuild
    class Config
      class NoConfigAvailableError < StandardError
        def initialize(file_path:, config_path:)
          super("The configuration file for the #{JamesBond::MissionBuild::MISSION_NAME.capitalize} Mission [It should be in #{file_path}] " \
              + "doesn't have the required path: '#{config_path}'")
        end
      end
    end
  end
end
